from django.http import HttpResponse
from django.shortcuts import get_object_or_404
from django.views import View

from core.models import Room


class MeetingEnded(View):
    def get(self, request):
        meeting_id = request.GET['meetingID']
        close_secret = request.GET['close_secret']

        room = get_object_or_404(Room.objects.filter(room_type=Room.RoomType.BIGBLUEBUTTON), backend_link=meeting_id)
        if room.backend_data.get('close_secret') == close_secret:
            room.backend_status = Room.BackendStatus.INACTIVE
            room.save(update_fields=['backend_status'])
        return HttpResponse()
