from django.contrib.auth import get_user_model
from django.contrib.auth.backends import ModelBackend
from django.contrib.auth.models import Permission
from django.db.models import Q

UserModel = get_user_model()


class TeamsBackend(ModelBackend):
    """
    Authenticates against settings.AUTH_USER_MODEL.
    """

    def _get_group_permissions(self, user_obj):
        user_groups_field = get_user_model()._meta.get_field('groups')
        user_groups_query = f'group__{user_groups_field.related_query_name()}'
        teams = user_obj.teams.values('team')
        return Permission.objects.filter(Q(**{user_groups_query: user_obj}) | Q(group__in=teams))
