from django.conf import settings

from .bigbluebutton import BigBlueButtonIntegration
from .error import IntegrationError
from .rc3hangar import HangarIntegration

if settings.BIGBLUEBUTTON_API_URL is not None:
    BigBlueButton = BigBlueButtonIntegration(
        settings.BIGBLUEBUTTON_API_URL,
        settings.BIGBLUEBUTTON_API_TOKEN,
        settings.BIGBLUEBUTTON_END_MEETING_CALLBACK,
        settings.BIGBLUEBUTTON_INITIAL_PRESENTATION_URL,
    )
else:
    BigBlueButton = None  # type: BigBlueButtonIntegration

if settings.HANGAR_URL is not None:
    Hangar = HangarIntegration(settings.HANGAR_URL)
else:
    Hangar = None


__all__ = [
    'BigBlueButton',
    'Hangar',
    'IntegrationError',
]
