from rest_framework.authtoken.models import Token

from django.core.management.base import BaseCommand

from core.models.users import PlatformUser


class Command(BaseCommand):
    help = 'List all users with type=service and show their token (generate it if necessary).'

    def handle(self, *args, **options):
        total_tokens, new_tokens = 0, 0
        for u in PlatformUser.objects.filter(user_type='service'):
            token, new_token = Token.objects.get_or_create(user=u)
            total_tokens += 1

            if new_token:
                new_tokens += 1
                style = self.style.WARNING
            else:
                style = self.style.SUCCESS

            self.stdout.write(style(f'{u.username} = {token}'))

        print(f'# {total_tokens} token(s), {new_tokens} new')
