# Generated by Django 3.1.2 on 2020-10-25 13:28

import core.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('core', '0002_conferencemember'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConferenceTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(help_text='ConferenceTag__slug__help', verbose_name='ConferenceTag__slug')),
                ('is_public', models.BooleanField(default=False, help_text='ConferenceTag__is_public__help', verbose_name='ConferenceTag__is_public')),
                ('value_type', models.CharField(choices=[('simple', 'ConferenceTag__valuetype-simple'), ('string', 'ConferenceTag__valuetype-string'), ('int', 'ConferenceTag__valuetype-int'), ('boolean', 'ConferenceTag__valuetype-bool')], default='simple', help_text='ConferenceTag__value_type__help', max_length=20, verbose_name='ConferenceTag__value_type')),
                ('description', models.TextField(blank=True, help_text='ConferenceTag__description__help', null=True, verbose_name='ConferenceTag__description')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'ConferenceTag',
                'verbose_name_plural': 'ConferenceTags',
            },
        ),
        migrations.CreateModel(
            name='TagItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('target_id', models.UUIDField()),
                ('_value_text', models.CharField(blank=True, max_length=100, null=True)),
                ('_value_int', models.IntegerField(blank=True, null=True)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.conferencetag')),
                ('target_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
            ],
        ),
        migrations.AddConstraint(
            model_name='tagitem',
            constraint=models.UniqueConstraint(fields=('target_type', 'target_id', 'tag'), name='unique_target_tag'),
        ),
        migrations.AddConstraint(
            model_name='conferencetag',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conference_tag'),
        ),
    ]
