# Generated by Django 4.2.6 on 2023-10-31 03:34

import uuid

import django.contrib.postgres.fields.ranges
import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import core.models.badges


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0115_update_badge_ids'),
    ]

    operations = [
        migrations.AlterField(
            model_name='badgetoken',
            name='token',
            field=models.CharField(default=core.models.badges.create_new_token, editable=False, max_length=20, unique=True, validators=[django.core.validators.RegexValidator('^[0-9a-z]*$', 'BadgeToken__validator_info__lower_alpha_num')])
        ),
        migrations.AlterField(
            model_name='badgetoken',
            name='id',
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.RemoveField(
            model_name='badgetoken',
            name='badge_class',
        ),
        migrations.RemoveField(
            model_name='badgetoken',
            name='limited_amount_left',
        ),
        migrations.AddField(
            model_name='badgetoken',
            name='active',
            field=models.BooleanField(default=True, help_text='BadgeToken__active__help', verbose_name='BadgeToken__active'),
        ),
        migrations.AddField(
            model_name='badgetoken',
            name='comment',
            field=models.CharField(blank=True, help_text='BadgeToken__comment__help', max_length=50, verbose_name='comment'),
        ),
        migrations.AddField(
            model_name='badgetoken',
            name='map_token',
            field=models.BooleanField(default=False, help_text='BadgeToken__map_token__help', verbose_name='BadgeToken__map_token'),
        ),
        migrations.AddField(
            model_name='badgetoken',
            name='redeemable_count',
            field=models.IntegerField(default=0, help_text='BadgeToken__redeemable_count__help', verbose_name='BadgeToken__redeemable_count'),
        ),
        migrations.AddField(
            model_name='userbadge',
            name='token',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='users', to='core.badgetoken'),
        ),
        migrations.AlterField(
            model_name='badge',
            name='id',
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='badge',
            name='issuing_token',
            field=models.CharField(blank=True, max_length=100),
        ),
        migrations.AlterField(
            model_name='badgetoken',
            name='badge',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.badge'),
        ),
        migrations.AlterField(
            model_name='badgetoken',
            name='id',
            field=models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False),
        ),
        migrations.AlterUniqueTogether(
            name='badge',
            unique_together={('name', 'issuing_assembly')},
        ),
        migrations.CreateModel(
            name='BadgeTokenTimeConstraint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_time_range', django.contrib.postgres.fields.ranges.DateTimeRangeField(help_text='BadgeTokenTimeConstraint__date_time_range__help', verbose_name='BadgeTokenTimeConstraint__date_time_range')),
                ('badge_token', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='time_constraints', to='core.badgetoken')),
            ],
        ),
    ]
