# Generated by Django 4.2.8 on 2023-12-20 01:22

import core.fields
import core.models.projects
import core.models.rooms
import core.validators
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('core', '0138_badge_symbol'),
    ]

    operations = [
        migrations.CreateModel(
            name='Favorite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('favorite_id', models.UUIDField()),
                ('favorite_type', models.ForeignKey(limit_choices_to=models.Q(('app_label', 'core'), ('model', 'room')), on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='favorites', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.UUIDField()),
                ('name', models.CharField(max_length=200)),
                ('link_type', models.CharField(choices=[('website', 'RoomLink__type-website'), ('chat', 'RoomLink__type-chat'), ('bbb', 'RoomLink__type-bbb'), ('jitsi', 'RoomLink__type-jitsi'), ('pad', 'RoomLink__type-pad'), ('media.ccc.de', 'RoomLink__type-media_ccc_de'), ('video', 'RoomLink__type-video'), ('audio', 'RoomLink__type-audio')], help_text='RoomLink__type__help', max_length=20, verbose_name='RoomLink__type')),
                ('link', models.CharField(max_length=255)),
                ('conference_internal', models.BooleanField(default=False, help_text='RoomLink__conference_internal__help', verbose_name='RoomLink__conference_internal')),
                ('content_type', models.ForeignKey(limit_choices_to=models.Q(('app_label', 'core'), ('model', 'project')), on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('is_public', models.BooleanField(default=False, help_text='Project__is_public__help', verbose_name='Project__is_public')),
                ('name', models.CharField(max_length=200)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.TextField(blank=True, default='', help_text='Project__description__help', verbose_name='Project__description')),
                ('description_de', models.TextField(blank=True, default='', help_text='Project__description__help', null=True, verbose_name='Project__description')),
                ('description_en', models.TextField(blank=True, default='', help_text='Project__description__help', null=True, verbose_name='Project__description')),
                ('description_html', models.TextField(blank=True, null=True)),
                ('description_html_de', models.TextField(blank=True, null=True)),
                ('description_html_en', models.TextField(blank=True, null=True)),
                ('blocked', models.BooleanField(default=False, help_text='Project__blocked__help', verbose_name='Project__blocked')),
                ('location', models.CharField(blank=True, default='', help_text='Project__location__help', max_length=200, verbose_name='Project__location')),
                ('last_update', models.DateTimeField(auto_now=True)),
                ('banner_image_height', models.PositiveIntegerField(null=True)),
                ('banner_image_width', models.PositiveIntegerField(null=True)),
                ('banner_image', models.ImageField(blank=True, height_field='banner_image_height', help_text=core.models.projects.get_banner_help_test, null=True, upload_to=core.models.projects.get_banner_file_name, validators=[core.validators.FileSizeValidator(2), core.validators.ImageDimensionValidator(max_size=(2048, 1024), min_size=(100, 100))], verbose_name='Assembly__banner_image', width_field='banner_image_width')),
                ('assembly', models.ForeignKey(blank=True, help_text='Project__assembly__help', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='core.assembly', verbose_name='Project__assembly')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='core.conference', verbose_name='Conference__reference')),
                ('owner', models.ForeignKey(blank=True, help_text='Project__owner__help', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projects', to=settings.AUTH_USER_MODEL, verbose_name='Project__owner')),
            ],
            options={
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
            },
        ),
        migrations.RemoveField(
            model_name='roomlink',
            name='send_token',
        ),
        migrations.AddField(
            model_name='room',
            name='banner_image',
            field=models.ImageField(blank=True, height_field='banner_image_height', help_text=core.models.rooms.get_banner_help_test, null=True, upload_to=core.models.rooms.get_banner_file_name, validators=[core.validators.FileSizeValidator(2), core.validators.ImageDimensionValidator(max_size=(2048, 1024), min_size=(100, 100))], verbose_name='Assembly__banner_image', width_field='banner_image_width'),
        ),
        migrations.AddField(
            model_name='room',
            name='banner_image_height',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='room',
            name='banner_image_width',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.DeleteModel(
            name='RoomLinkUserId',
        ),
        migrations.AlterUniqueTogether(
            name='project',
            unique_together=[['assembly', 'owner', 'name']],
        ),
        migrations.AlterUniqueTogether(
            name='link',
            unique_together=[['content_type', 'object_id', 'name', 'link', 'link_type']],
        ),
        migrations.AlterUniqueTogether(
            name='favorite',
            unique_together=[['favorite_type', 'favorite_id', 'user']],
        ),
    ]
