from django.contrib.auth.tokens import PasswordResetTokenGenerator

# adapted from https://simpleisbetterthancomplex.com/tutorial/2017/02/18/how-to-create-user-sign-up-view.html


class AccountActivationTokenGenerator(PasswordResetTokenGenerator):
    def _make_hash_value(self, user, timestamp):
        return str(user.pk) + str(timestamp) + str(user.profile.mail_verified)


class ChannelActivationTokenGenerator(PasswordResetTokenGenerator):
    def _make_hash_value(self, channel, timestamp):
        return str(channel.user.pk) + str(timestamp) + str(channel.channel) + str(channel.address)


account_activation_token = AccountActivationTokenGenerator()
channel_activation_token = ChannelActivationTokenGenerator()
